Package tigase.util.stringprep

# Class XMPPStringPrepEmpty

java.lang.Object
tigase.util.stringprep.XMPPStringPrepEmpty

All Implemented Interfaces:
  `XMPPStringPrepIfc`

public class XMPPStringPrepEmpty extends Object implements XMPPStringPrepIfc
Class implementing stringprep processor interface. This is a dummy implementation performing no processing at all. All methods simply return value passed as the method call parameter. Use of this implementation is recommended inly in strictly controlled systems where there is no possibility of getting incorrectly formated JIDs to the system. Of course this implementation causes no impact on the system performance.
Created: Feb 4, 2010 9:52:41 AM

Version:
  $Rev$
Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMPPStringPrepEmpty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `nameprep(String domain)`
  JID's domain part stringprep processing.
  `String`
  `nodeprep(String localpart)`
  JID's localpart (or nick name) stringprep processing.
  `String`
  `resourceprep(String resource)`
  JID's resource stringprep proessing.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMPPStringPrepEmpty

    public XMPPStringPrepEmpty()

- ## Method Details

  - ### nameprep

    public String nameprep(String domain)
    Description copied from interface: `XMPPStringPrepIfc`
    JID's domain part stringprep processing. In RFC-3920 this is called nameprep processing.
    Specified by:
      `nameprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `domain` - a `String` value of the JID's domain part.
    Returns:
      nameprep processed JID's doman part.

  - ### nodeprep

    public String nodeprep(String localpart)
    Description copied from interface: `XMPPStringPrepIfc`
    JID's localpart (or nick name) stringprep processing. In RFC-3920 this is called nodeprep processing.
    Specified by:
      `nodeprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `localpart` - a `String` value of the JID's localpart.
    Returns:
      nodeprep processed JID's localpart.

  - ### resourceprep

    public String resourceprep(String resource)
    Description copied from interface: `XMPPStringPrepIfc`
    JID's resource stringprep proessing. In RFC-3920 this is called resourceprep processing.
    Specified by:
      `resourceprep` in interface `XMPPStringPrepIfc`
    Parameters:
      `resource` - a `String` value of the JID's resource part.
    Returns:
      resourceprep processed JID's resource part.